%define major 6
%define libname %mklibname globus-gridftp-server %{major}
%define develname %mklibname globus-gridftp-server -d

Name:		globus-gridftp-server
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	13.21
Release:	%mkrel 1
Summary:	Globus Toolkit - Globus GridFTP Server

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz
Source1:       globus-gridftp-server.sh
Source2:       globus-gridftp-sshftp.sh
Requires:	globus-xio-gsi-driver >= 2
Requires:       globus-xio-udt-driver >= 1

BuildRequires:	pkgconfig(globus-gridftp-server-control) >= 5
BuildRequires:	pkgconfig(globus-usage) >= 3
BuildRequires:	pkgconfig(globus-xio-gsi-driver) >= 2
BuildRequires:	pkgconfig(globus-xio) >= 5
BuildRequires:	pkgconfig(globus-authz) >= 2
BuildRequires:	pkgconfig(globus-gfork) >= 3
BuildRequires:	pkgconfig(globus-ftp-control) >= 7
BuildRequires:	pkgconfig(globus-gss-assist) >= 9
BuildRequires:  globus-common-progs >= 17
BuildRequires:	pkgconfig(globus-gsi-credential) >= 6
BuildRequires:  zlib-devel
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  openssl
BuildRequires:  pkgconfig
BuildRequires: libtool-ltdl-devel
BuildRequires: fakeroot

%package progs
Summary:	Globus Toolkit - Globus GridFTP Server Programs
Group:		Networking/Other
Requires:	%{name} = %{version}-%{release}
%if %{?suse_version}%{!?suse_version:0} >= 1315
Requires:	libglobus_xio_gsi_driver >= 2
%else
Requires:	globus-xio-gsi-driver >= 2
%endif


%package -n %{develname}
Summary:	Globus Toolkit - Globus GridFTP Server Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-gridftp-server-control) >= 5
Requires:	pkgconfig(globus-usage) >= 3
Requires:	pkgconfig(globus-xio-gsi-driver) >= 2
Requires:	pkgconfig(globus-xio) >= 5
Requires:	pkgconfig(globus-authz) >= 2
Requires:	pkgconfig(globus-gfork) >= 3
Requires:	pkgconfig(globus-ftp-control) >= 7
Requires:	pkgconfig(globus-gss-assist) >= 9
Requires:	pkgconfig(globus-gsi-credential) >= 6

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

%package -n %{libname}
Summary: Globus Toolkit - Globus GridFTP Server
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GridFTP Server

%description progs
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-progs package contains:
Globus GridFTP Server Programs

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus GridFTP Server Development Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

export GRIDMAP=/etc/grid-security/grid-mapfile
%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           %{?default_runlevels} \
           --libexecdir=%{_datadir}/globus

%make_build

%install
%make_install
mv $RPM_BUILD_ROOT%{_sysconfdir}/gridftp.conf.default $RPM_BUILD_ROOT%{_sysconfdir}/gridftp.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
mv $RPM_BUILD_ROOT%{_sysconfdir}/gridftp.xinetd.default $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/gridftp
mv $RPM_BUILD_ROOT%{_sysconfdir}/gridftp.gfork.default $RPM_BUILD_ROOT%{_sysconfdir}/gridftp.gfork

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/globus-gridftp-server
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/globus-gridftp-sshftp

%check
make check

%post progs
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add globus-gridftp-server
    /sbin/chkconfig --add globus-gridftp-sshftp
fi

%preun progs
if [ $1 -eq 0 ]; then
    /sbin/chkconfig --del globus-gridftp-server
    /sbin/chkconfig --del globus-gridftp-sshftp
    /sbin/service globus-gridftp-server stop
    /sbin/service globus-gridftp-sshftp stop
fi

%postun progs
if [ $1 -eq 1 ]; then
    /sbin/service globus-gridftp-server condrestart > /dev/null 2>&1 || :
    /sbin/service globus-gridftp-sshftp condrestart > /dev/null 2>&1 || :
fi

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files progs
%config(noreplace) %{_sysconfdir}/gridftp.conf
%config(noreplace) %{_sysconfdir}/gridftp.gfork
%config(noreplace) %{_sysconfdir}/xinetd.d/gridftp
%{_sysconfdir}/init.d/*
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Dec 18 2020 joequant <joequant> 13.21-1.mga8
+ Revision: 1660707
- update to 13.21

* Sun May 03 2020 joequant <joequant> 13.20-1.mga8
+ Revision: 1578550
- update to 13.20

* Fri May 01 2020 joequant <joequant> 12.23-2.mga8
+ Revision: 1577301
- fix rpmlint
- fix gridftp rpm error
- remove check

* Thu Apr 30 2020 joequant <joequant> 12.23-1.mga8
+ Revision: 1573406
- fix group
- imported package globus-gridftp-server

